
From: Domen Puncer <domen@coderock.org>

Replaces strtok() with strsep()
 
Signed-off-by: Nicolas Kaiser <nikai@nikai.net>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/mod/sumversion.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN scripts/mod/sumversion.c~scripts-mod-sumversionc-replace-strtok-with-strsep scripts/mod/sumversion.c
--- 25/scripts/mod/sumversion.c~scripts-mod-sumversionc-replace-strtok-with-strsep	Sun Mar  6 16:55:20 2005
+++ 25-akpm/scripts/mod/sumversion.c	Sun Mar  6 16:55:20 2005
@@ -419,7 +419,9 @@ void get_src_version(const char *modname
 	*end = '\0';
 
 	md4_init(&md);
-	for (fname = strtok(sources, " "); fname; fname = strtok(NULL, " ")) {
+	while ((fname = strsep(&sources, " ")) != NULL) {
+		if (!*fname)
+			continue;
 		if (!parse_source_files(fname, &md))
 			goto release;
 	}
_
